Page MenuHomePhabricator

Diffusion grep with 0 results produces an exception
Closed, ResolvedPublic

Description

Unhandled Exception ("ConduitException")
ERR-GREP-COMMAND

https://phabricator.wikimedia.org/diffusion/APIW/browse/master/?grep=UNable

A bit too drastic as an output. :) https://phabricator.wikimedia.org/diffusion/APIW/browse/master/?grep=Unable works.

Event Timeline

Nemo_bis created this task.May 14 2015, 4:54 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 4:54 PM

Same in upstream with e.g. https://secure.phabricator.com/diffusion/ARC/browse/master/?grep=UNable so could be reported upstream I assume.

Aklapper triaged this task as Low priority.May 20 2015, 2:53 PM
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper set Security to None.
Aklapper moved this task from Backlog to Ready To Go on the Phabricator (Upstream) board.

This should be fixed in the upstream after https://secure.phabricator.com/D14943, which is now deployed on this install. Notably, the linked test case in the task description now works (shows a "no results" error instead of an exception).

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 4 2016, 8:55 AM
Aklapper closed this task as Resolved.May 4 2016, 8:55 AM
Aklapper claimed this task.

Closing as per last comment.